Update pricing plan

Update an existing pricing plan

PUT
/stores/pricing-plans/{planId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

planIdstring

ID of the pricing plan

Update pricing plan input

currency?string
description?string
idstring
interval?string
isActive?boolean
isDefault?boolean
maxInstalls?integer
maxUsers?integer

Features any json:"features,omitempty"

name?string
price?string
trialDays?integer

Response Body

curl -X PUT "https://eu1.api.bivariant.com/v1/stores/pricing-plans/string" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{
  "artifactId": "string",
  "createdAt": "string",
  "currency": "string",
  "description": "string",
  "features": null,
  "id": "string",
  "interval": "string",
  "isActive": true,
  "isDefault": true,
  "maxInstalls": 0,
  "maxUsers": 0,
  "name": "string",
  "price": "string",
  "trialDays": 0,
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}